
using System;
using System.Collections.Generic;

namespace PathWords
{
	
	
	public class PathTile
	{
		public PathTile[] Neighbors;
		public NeighborEntry Entry;
		public string Letter {
			get {
				if (Entry.Text.Length != 0)
					return Entry.Text.ToUpper();
				else
					throw new EmptyTileException(this);
			}
		}
		
		public PathTile(NeighborEntry entry)
		{
			Entry = entry;
		}
	}
}
